# Automatically generated dialog with few most often used fileds (text, right, link, DAM image, multivalue, link to app, select). Feel free to modify them for your specific component.

form:
  label: disclaimer
  tabs:
    - name: tabMain
      label: Main
      fields:
        - name: titulo
          class: info.magnolia.ui.form.field.definition.TextFieldDefinition
          required: true
          i18n: true

        - name: notas
          class: info.magnolia.ui.form.field.definition.MultiValueFieldDefinition
          transformerClass: info.magnolia.ui.form.field.transformer.multi.DelegatingMultiValueFieldTransformer
          i18n: true
          field:
            name: nota
            class: info.magnolia.ui.form.field.definition.CompositeFieldDefinition
            transformerClass: info.magnolia.ui.form.field.transformer.composite.DelegatingCompositeFieldTransformer
            layout: vertical
            fields:
              - name: id
                class: info.magnolia.ui.form.field.definition.TextFieldDefinition
                required: true
                i18n: true
              - name: nota
                class: info.magnolia.ui.form.field.definition.TextFieldDefinition
                required: true
                i18n: true
              - name: texto
                class: info.magnolia.ui.form.field.definition.RichTextFieldDefinition
                configJsFile: /.resources/mgnl-ob-theme/webresources/js/config-ob.js
                required: true
                i18n: true

actions:
  commit:
    class: info.magnolia.ui.admincentral.dialog.action.SaveDialogActionDefinition
  cancel:
    class: info.magnolia.ui.admincentral.dialog.action.CancelDialogActionDefinition
